# Banking — Chaves PIX (UY3)

> 10 endpoints. Placeholders: `{{baseUrl}}` e `{{token}}`.

## Autenticação

Envie o token em toda requisição no header `Authorization: Bearer {{token}}` (JWT do AWS Cognito). Integrações servidor-a-servidor podem usar `X-Api-Key`. Todo tráfego é HTTPS; a credencial nunca vai na URL nem em query string.

## Chaves PIX

Cadastre e gerencie as chaves PIX da conta.

### POST /v1/BankAccount/BatchPixKeyRegistrationNumber

**Criar Bank Account** — Cria um novo registro de Bank Account.

**Corpo da requisição** (`application/json`, lista/array)

Exemplo:

```json
[
  "texto"
]
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/BatchPixKeyRegistrationNumber" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '[
  "texto"
]'
```

---

### GET /v1/BankAccount/{id}/Pix/Key

**Obter todas as chaves PIX da conta** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `pixKey` | `string` | opcional | — | — | `"texto"` |
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `typeDisplay` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ownerAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `statistics` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `statistics`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerSpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keySpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
[
  {
    "pixKey": "texto",
    "type": "NaturalRegistrationNumber",
    "typeDisplay": "texto",
    "createdAt": "2025-08-11T13:45:00Z",
    "ownerAt": "2025-08-11T13:45:00Z",
    "statistics": {
      "ownerSpi": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "d90": 0,
        "m12": 0,
        "m60": 0
      },
      "ownerFraudMarkers": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "applicationFraudsD90": 0,
        "applicationFraudsM12": 0,
        "applicationFraudsM60": 0,
        "muleAccountsD90": 0,
        "muleAccountsM12": 0,
        "muleAccountsM60": 0,
        "scammerAccountsD90": 0,
        "scammerAccountsM12": 0,
        "scammerAccountsM60": 0,
        "otherFraudsD90": 0,
        "otherFraudsM12": 0,
        "otherFraudsM60": 0,
        "unknownFraudsD90": 0,
        "unknownFraudsM12": 0,
        "unknownFraudsM60": 0,
        "totalFraudTransactionAmountD90": 0,
        "totalFraudTransactionAmountM12": 0,
        "totalFraudTransactionAmountM60": 0,
        "distinctFraudReportersD90": 0,
        "distinctFraudReportersM12": 0,
        "distinctFraudReportersM60": 0
      },
      "ownerInfractionReports": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "openReports": 0,
        "openReportsDistinctReporters": 0,
        "rejectedReportsD90": 0,
        "rejectedReportsM12": 0,
        "rejectedReportsM60": 0
      },
      "ownerEntries": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "registeredAccounts": 0
      },
      "keySpi": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "d90": 0,
        "m12": 0,
        "m60": 0
      },
      "keyFraudMarkers": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "applicationFraudsD90": 0,
        "applicationFraudsM12": 0,
        "applicationFraudsM60": 0,
        "muleAccountsD90": 0,
        "muleAccountsM12": 0,
        "muleAccountsM60": 0,
        "scammerAccountsD90": 0,
        "scammerAccountsM12": 0,
        "scammerAccountsM60": 0,
        "otherFraudsD90": 0,
        "otherFraudsM12": 0,
        "otherFraudsM60": 0,
        "unknownFraudsD90": 0,
        "unknownFraudsM12": 0,
        "unknownFraudsM60": 0,
        "totalFraudTransactionAmountD90": 0,
        "totalFraudTransactionAmountM12": 0,
        "totalFraudTransactionAmountM60": 0,
        "distinctFraudReportersD90": 0,
        "distinctFraudReportersM12": 0,
        "distinctFraudReportersM60": 0
      },
      "keyInfractionReports": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "openReports": 0,
        "openReportsDistinctReporters": 0,
        "rejectedReportsD90": 0,
        "rejectedReportsM12": 0,
        "rejectedReportsM60": 0
      },
      "keyEntries": {
        "ultimaAtualizacao": "2025-08-11T13:45:00Z",
        "distinctAccountsD90": 0,
        "distinctAccountsM12": 0,
        "distinctAccountsM60": 0
      }
    }
  }
]
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/{id}/Pix/Key

**Incluir Chave PIX** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta bancária | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic` | `"NaturalRegistrationNumber"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |
| `descriptionType` | `string` | opcional | — | — | `"texto"` |
| `formattedKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "type": "NaturalRegistrationNumber",
  "pixKey": "texto",
  "descriptionType": "texto",
  "formattedKey": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `typeDisplay` | `string` | opcional | — | — | `"texto"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "type": "NaturalRegistrationNumber",
  "typeDisplay": "texto",
  "pixKey": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "NaturalRegistrationNumber",
  "pixKey": "texto",
  "descriptionType": "texto",
  "formattedKey": "texto"
}'
```

---

### GET /v1/BankAccount/Pix/Key/{pixKey}

**Obtém informações por chave PIX** — Consulta Bank Account pelo identificador informado na rota.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `pixKey` | path | `string` | obrigatório | Chave PIX | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `keyType` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `keyTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `keyValue` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountAgency` | `string` | opcional | — | — | `"texto"` |
| `accountOpeningDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `accountTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `personType` | `string` | opcional | — | `Natural`, `Legal` | `"Natural"` |
| `personTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `endToEndId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `statistics` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `statistics`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerSpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keySpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "registrationNumber": "12345678909",
  "name": "Fulano de Tal",
  "keyType": "NaturalRegistrationNumber",
  "keyTypeDisplay": "texto",
  "keyValue": "texto",
  "accountNumber": "texto",
  "accountAgency": "texto",
  "accountOpeningDate": "2025-08-11T13:45:00Z",
  "accountType": "CheckingAccount",
  "accountTypeDisplay": "texto",
  "personType": "Natural",
  "personTypeDisplay": "texto",
  "bankName": "Fulano de Tal",
  "ispb": "texto",
  "endToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "statistics": {
    "ownerSpi": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "d90": 0,
      "m12": 0,
      "m60": 0
    },
    "ownerFraudMarkers": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "applicationFraudsD90": 0,
      "applicationFraudsM12": 0,
      "applicationFraudsM60": 0,
      "muleAccountsD90": 0,
      "muleAccountsM12": 0,
      "muleAccountsM60": 0,
      "scammerAccountsD90": 0,
      "scammerAccountsM12": 0,
      "scammerAccountsM60": 0,
      "otherFraudsD90": 0,
      "otherFraudsM12": 0,
      "otherFraudsM60": 0,
      "unknownFraudsD90": 0,
      "unknownFraudsM12": 0,
      "unknownFraudsM60": 0,
      "totalFraudTransactionAmountD90": 0,
      "totalFraudTransactionAmountM12": 0,
      "totalFraudTransactionAmountM60": 0,
      "distinctFraudReportersD90": 0,
      "distinctFraudReportersM12": 0,
      "distinctFraudReportersM60": 0
    },
    "ownerInfractionReports": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "openReports": 0,
      "openReportsDistinctReporters": 0,
      "rejectedReportsD90": 0,
      "rejectedReportsM12": 0,
      "rejectedReportsM60": 0
    },
    "ownerEntries": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "registeredAccounts": 0
    },
    "keySpi": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "d90": 0,
      "m12": 0,
      "m60": 0
    },
    "keyFraudMarkers": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "applicationFraudsD90": 0,
      "applicationFraudsM12": 0,
      "applicationFraudsM60": 0,
      "muleAccountsD90": 0,
      "muleAccountsM12": 0,
      "muleAccountsM60": 0,
      "scammerAccountsD90": 0,
      "scammerAccountsM12": 0,
      "scammerAccountsM60": 0,
      "otherFraudsD90": 0,
      "otherFraudsM12": 0,
      "otherFraudsM60": 0,
      "unknownFraudsD90": 0,
      "unknownFraudsM12": 0,
      "unknownFraudsM60": 0,
      "totalFraudTransactionAmountD90": 0,
      "totalFraudTransactionAmountM12": 0,
      "totalFraudTransactionAmountM60": 0,
      "distinctFraudReportersD90": 0,
      "distinctFraudReportersM12": 0,
      "distinctFraudReportersM60": 0
    },
    "keyInfractionReports": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "openReports": 0,
      "openReportsDistinctReporters": 0,
      "rejectedReportsD90": 0,
      "rejectedReportsM12": 0,
      "rejectedReportsM60": 0
    },
    "keyEntries": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "distinctAccountsD90": 0,
      "distinctAccountsM12": 0,
      "distinctAccountsM60": 0
    }
  }
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/Pix/Key/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pix/Key/{key}

**Obter informações por chave PIX** — Consulta Bank Account pelo identificador informado na rota.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `key` | path | `string` | obrigatório | Chave PIX | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `keyType` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `keyTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `keyValue` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountAgency` | `string` | opcional | — | — | `"texto"` |
| `accountOpeningDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `accountTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `personType` | `string` | opcional | — | `Natural`, `Legal` | `"Natural"` |
| `personTypeDisplay` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `endToEndId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `statistics` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |

Detalhe de `statistics`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `ownerSpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keySpi` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyFraudMarkers` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyInfractionReports` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `keyEntries` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "registrationNumber": "12345678909",
  "name": "Fulano de Tal",
  "keyType": "NaturalRegistrationNumber",
  "keyTypeDisplay": "texto",
  "keyValue": "texto",
  "accountNumber": "texto",
  "accountAgency": "texto",
  "accountOpeningDate": "2025-08-11T13:45:00Z",
  "accountType": "CheckingAccount",
  "accountTypeDisplay": "texto",
  "personType": "Natural",
  "personTypeDisplay": "texto",
  "bankName": "Fulano de Tal",
  "ispb": "texto",
  "endToEndId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "statistics": {
    "ownerSpi": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "d90": 0,
      "m12": 0,
      "m60": 0
    },
    "ownerFraudMarkers": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "applicationFraudsD90": 0,
      "applicationFraudsM12": 0,
      "applicationFraudsM60": 0,
      "muleAccountsD90": 0,
      "muleAccountsM12": 0,
      "muleAccountsM60": 0,
      "scammerAccountsD90": 0,
      "scammerAccountsM12": 0,
      "scammerAccountsM60": 0,
      "otherFraudsD90": 0,
      "otherFraudsM12": 0,
      "otherFraudsM60": 0,
      "unknownFraudsD90": 0,
      "unknownFraudsM12": 0,
      "unknownFraudsM60": 0,
      "totalFraudTransactionAmountD90": 0,
      "totalFraudTransactionAmountM12": 0,
      "totalFraudTransactionAmountM60": 0,
      "distinctFraudReportersD90": 0,
      "distinctFraudReportersM12": 0,
      "distinctFraudReportersM60": 0
    },
    "ownerInfractionReports": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "openReports": 0,
      "openReportsDistinctReporters": 0,
      "rejectedReportsD90": 0,
      "rejectedReportsM12": 0,
      "rejectedReportsM60": 0
    },
    "ownerEntries": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "registeredAccounts": 0
    },
    "keySpi": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "d90": 0,
      "m12": 0,
      "m60": 0
    },
    "keyFraudMarkers": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "applicationFraudsD90": 0,
      "applicationFraudsM12": 0,
      "applicationFraudsM60": 0,
      "muleAccountsD90": 0,
      "muleAccountsM12": 0,
      "muleAccountsM60": 0,
      "scammerAccountsD90": 0,
      "scammerAccountsM12": 0,
      "scammerAccountsM60": 0,
      "otherFraudsD90": 0,
      "otherFraudsM12": 0,
      "otherFraudsM60": 0,
      "unknownFraudsD90": 0,
      "unknownFraudsM12": 0,
      "unknownFraudsM60": 0,
      "totalFraudTransactionAmountD90": 0,
      "totalFraudTransactionAmountM12": 0,
      "totalFraudTransactionAmountM60": 0,
      "distinctFraudReportersD90": 0,
      "distinctFraudReportersM12": 0,
      "distinctFraudReportersM60": 0
    },
    "keyInfractionReports": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "openReports": 0,
      "openReportsDistinctReporters": 0,
      "rejectedReportsD90": 0,
      "rejectedReportsM12": 0,
      "rejectedReportsM60": 0
    },
    "keyEntries": {
      "ultimaAtualizacao": "2025-08-11T13:45:00Z",
      "distinctAccountsD90": 0,
      "distinctAccountsM12": 0,
      "distinctAccountsM60": 0
    }
  }
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### DELETE /v1/BankAccount/{id}/Pix/Key/{key}

**Excluir Chave PIX** — Remove um registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `key` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X DELETE "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pix/Key/Claim

**Obter todas as reivindicações da conta** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `claim` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `claimantPerson` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `donorPerson` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `donorDataAccount` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `claimantDataAccount` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `pixKey` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `deadLine` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `resolutionDeadLine` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `lastRequest` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `isDonorParticipant` | `boolean` | opcional | — | — | `true` |
| `isClaimantParticipant` | `boolean` | opcional | — | — | `true` |
| `isDonorPerson` | `boolean` | opcional | — | — | `true` |
| `isClaimantPerson` | `boolean` | opcional | — | — | `true` |

Detalhe de `claim`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Open`, `Waiting_Resolution`, `Confirmed`, `Canceled`, `Finished` | `"Open"` |
| `type` | `string` | opcional | — | `Ownership`, `Portability` | `"Ownership"` |
| `cancelParticipant` | `string` | opcional | — | — | `"texto"` |
| `confirmationReason` | `string` | opcional | — | `UserRequest`, `ClosingAccount`, `Fraud`, `StandardOperation` | `"UserRequest"` |
| `cancelReason` | `string` | opcional | — | `UserRequest`, `ClosingAccount`, `Fraud`, `StandardOperation` | `"UserRequest"` |

Detalhe de `claimantPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personType` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `companyName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `donorPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personType` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `companyName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `donorDataAccount`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `agency` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `openedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `claimantDataAccount`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `agency` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `openedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `institutionName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `pixKey`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `typeDisplay` | `string` | opcional | — | — | `"texto"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
[
  {
    "claim": {
      "id": "texto",
      "status": "Open",
      "type": "Ownership",
      "cancelParticipant": "texto",
      "confirmationReason": "UserRequest",
      "cancelReason": "UserRequest"
    },
    "claimantPerson": {
      "personType": "texto",
      "registrationNumber": "12345678909",
      "name": "Fulano de Tal",
      "companyName": "Fulano de Tal"
    },
    "donorPerson": {
      "personType": "texto",
      "registrationNumber": "12345678909",
      "name": "Fulano de Tal",
      "companyName": "Fulano de Tal"
    },
    "donorDataAccount": {
      "agency": "texto",
      "accountNumber": "texto",
      "accountType": "CheckingAccount",
      "openedAt": "2025-08-11T13:45:00Z",
      "ispb": "texto",
      "bankName": "Fulano de Tal"
    },
    "claimantDataAccount": {
      "agency": "texto",
      "accountNumber": "texto",
      "accountType": "CheckingAccount",
      "openedAt": "2025-08-11T13:45:00Z",
      "ispb": "texto",
      "institutionName": "Fulano de Tal"
    },
    "pixKey": {
      "type": "NaturalRegistrationNumber",
      "typeDisplay": "texto",
      "pixKey": "texto"
    },
    "deadLine": "2025-08-11T13:45:00Z",
    "resolutionDeadLine": "2025-08-11T13:45:00Z",
    "lastRequest": "2025-08-11T13:45:00Z",
    "isDonorParticipant": true,
    "isClaimantParticipant": true,
    "isDonorPerson": true,
    "isClaimantPerson": true
  }
]
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/{id}/Pix/Key/Claim

**Incluir reivindicação de chave PIX** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email` | `"NaturalRegistrationNumber"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |
| `descriptionType` | `string` | opcional | — | — | `"texto"` |
| `formattedKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "type": "NaturalRegistrationNumber",
  "pixKey": "texto",
  "descriptionType": "texto",
  "formattedKey": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `typeDisplay` | `string` | opcional | — | — | `"texto"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |
| `claimId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |

Exemplo:

```json
{
  "type": "NaturalRegistrationNumber",
  "typeDisplay": "texto",
  "pixKey": "texto",
  "claimId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "NaturalRegistrationNumber",
  "pixKey": "texto",
  "descriptionType": "texto",
  "formattedKey": "texto"
}'
```

---

### PUT /v1/BankAccount/{id}/Pix/Key/Claim

**Confirmar/Cancelar ou Concluir reivindicação de chave PIX** — Atualiza por completo um registro de Bank Account existente.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `claimId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `claimAction` | `string` | opcional | — | `Confirm`, `Cancel`, `Finish` | `"Confirm"` |

Exemplo:

```json
{
  "claimId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "claimAction": "Confirm"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `claimId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `claimStatus` | `string` | opcional | — | `Open`, `Waiting_Resolution`, `Confirmed`, `Canceled`, `Finished` | `"Open"` |

Exemplo:

```json
{
  "claimId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "claimStatus": "Open"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "claimId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "claimAction": "Confirm"
}'
```

---

### GET /v1/BankAccount/{id}/Pix/Key/Claim/{claimId}

**Consultar reivindicação por Id** — Consulta Bank Account pelo identificador informado na rota.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `claimId` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `claim` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `claimantPerson` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `donorPerson` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `donorDataAccount` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `claimantDataAccount` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `pixKey` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `deadLine` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `resolutionDeadLine` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `lastRequest` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `isDonorParticipant` | `boolean` | opcional | — | — | `true` |
| `isClaimantParticipant` | `boolean` | opcional | — | — | `true` |
| `isDonorPerson` | `boolean` | opcional | — | — | `true` |
| `isClaimantPerson` | `boolean` | opcional | — | — | `true` |

Detalhe de `claim`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Open`, `Waiting_Resolution`, `Confirmed`, `Canceled`, `Finished` | `"Open"` |
| `type` | `string` | opcional | — | `Ownership`, `Portability` | `"Ownership"` |
| `cancelParticipant` | `string` | opcional | — | — | `"texto"` |
| `confirmationReason` | `string` | opcional | — | `UserRequest`, `ClosingAccount`, `Fraud`, `StandardOperation` | `"UserRequest"` |
| `cancelReason` | `string` | opcional | — | `UserRequest`, `ClosingAccount`, `Fraud`, `StandardOperation` | `"UserRequest"` |

Detalhe de `claimantPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personType` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `companyName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `donorPerson`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `personType` | `string` | opcional | — | — | `"texto"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `companyName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `donorDataAccount`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `agency` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `openedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `bankName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `claimantDataAccount`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `agency` | `string` | opcional | — | — | `"texto"` |
| `accountNumber` | `string` | opcional | — | — | `"texto"` |
| `accountType` | `string` | opcional | — | `CheckingAccount`, `SalaryAccount`, `SavingsAccount`, `Transactional` | `"CheckingAccount"` |
| `openedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `ispb` | `string` | opcional | — | — | `"texto"` |
| `institutionName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `pixKey`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `type` | `string` | opcional | — | `NaturalRegistrationNumber`, `LegalRegistrationNumber`, `Phone`, `Email`, `Automatic`, `AgencyAndAccount` | `"NaturalRegistrationNumber"` |
| `typeDisplay` | `string` | opcional | — | — | `"texto"` |
| `pixKey` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "claim": {
    "id": "texto",
    "status": "Open",
    "type": "Ownership",
    "cancelParticipant": "texto",
    "confirmationReason": "UserRequest",
    "cancelReason": "UserRequest"
  },
  "claimantPerson": {
    "personType": "texto",
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal",
    "companyName": "Fulano de Tal"
  },
  "donorPerson": {
    "personType": "texto",
    "registrationNumber": "12345678909",
    "name": "Fulano de Tal",
    "companyName": "Fulano de Tal"
  },
  "donorDataAccount": {
    "agency": "texto",
    "accountNumber": "texto",
    "accountType": "CheckingAccount",
    "openedAt": "2025-08-11T13:45:00Z",
    "ispb": "texto",
    "bankName": "Fulano de Tal"
  },
  "claimantDataAccount": {
    "agency": "texto",
    "accountNumber": "texto",
    "accountType": "CheckingAccount",
    "openedAt": "2025-08-11T13:45:00Z",
    "ispb": "texto",
    "institutionName": "Fulano de Tal"
  },
  "pixKey": {
    "type": "NaturalRegistrationNumber",
    "typeDisplay": "texto",
    "pixKey": "texto"
  },
  "deadLine": "2025-08-11T13:45:00Z",
  "resolutionDeadLine": "2025-08-11T13:45:00Z",
  "lastRequest": "2025-08-11T13:45:00Z",
  "isDonorParticipant": true,
  "isClaimantParticipant": true,
  "isDonorPerson": true,
  "isClaimantPerson": true
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pix/Key/Claim/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
  -H "Authorization: Bearer {{token}}"
```

---

